Bug 804190 - Review Request: sympol - Symmetric polyhedra tool
Review Request: sympol - Symmetric polyhedra tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On: 797312
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 15:16 EDT by Jerry James
Modified: 2012-09-17 18:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 20:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paulo.cesar.pereira.de.andrade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2012-03-16 15:16:32 EDT
Spec URL: http://jjames.fedorapeople.org/sympol/sympol.spec
SRPM URL: http://jjames.fedorapeople.org/sympol/sympol-0.1.6-1.fc16.src.rpm
Description: SymPol is a C++ tool to work with symmetric polyhedra.  It helps to compute restricted automorphisms (parts of the linear symmetry group) of polyhedra and performs polyhedral description conversion up to a given or computed symmetry group.

This package is a component of polymake.
Comment 1 Jerry James 2012-04-30 12:08:17 EDT
New URLs for the latest version:

Spec URL: http://jjames.fedorapeople.org/sympol/sympol.spec
SRPM URL: http://jjames.fedorapeople.org/sympol/sympol-0.1.7-1.fc16.src.rpm
Comment 2 Paulo Andrade 2012-08-17 21:41:39 EDT
Does system "cdd" and "lrs" have any of the possible
patches as listed in the pdf manual?

from sympol-manual-0.1.pdf
<<<<
SymPol comes already bundled with patched versions of [cdd] and [lrs] to actually perform poly-
hedral representation conversion. It also contains a copy of [PermLib] for computations with
permutations.
>>>>
Comment 3 Paulo Andrade 2012-08-17 21:51:27 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)" For detailed output of licensecheck see file:
     /home/pcpa/rpmbuild/sympol/licensecheck.txt
[!]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: sympol-devel-0.1.7-1.fc19.x86_64.rpm
          sympol-0.1.7-1.fc19.src.rpm
          sympol-debuginfo-0.1.7-1.fc19.x86_64.rpm
          sympol-libs-0.1.7-1.fc19.x86_64.rpm
          sympol-0.1.7-1.fc19.x86_64.rpm
sympol-devel.x86_64: W: no-documentation
sympol.src: W: spelling-error Summary(en_US) polyhedra -> polyhedral, polyhedron
sympol.src: W: spelling-error %description -l en_US polyhedra -> polyhedral, polyhedron
sympol.src: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
sympol.src: W: file-size-mismatch sympol-manual-0.1.pdf = 182588, http://www.math.uni-rostock.de/~rehn/software/sympol-manual-0.1.pdf = 179252
sympol-libs.x86_64: W: spelling-error Summary(en_US) polyhedra -> polyhedral, polyhedron
sympol-libs.x86_64: W: no-documentation
sympol.x86_64: W: spelling-error Summary(en_US) polyhedra -> polyhedral, polyhedron
sympol.x86_64: W: spelling-error %description -l en_US polyhedra -> polyhedral, polyhedron
sympol.x86_64: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
5 packages and 0 specfiles checked; 0 errors, 10 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint sympol-debuginfo sympol
sympol.x86_64: W: spelling-error Summary(en_US) polyhedra -> polyhedral, polyhedron
sympol.x86_64: W: spelling-error %description -l en_US polyhedra -> polyhedral, polyhedron
sympol.x86_64: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

Requires
--------
sympol-devel-0.1.7-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    boost-devel(x86-64)
    eigen3-devel
    gmp-devel(x86-64)
    libsympol.so.0.1()(64bit)
    permlib-devel
    sympol-libs(x86-64) = 0.1.7-1.fc19

sympol-debuginfo-0.1.7-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

sympol-libs-0.1.7-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libbliss.so.0()(64bit)
    libc.so.6()(64bit)
    libcddgmp.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgmp.so.10()(64bit)
    libgmpxx.so.4()(64bit)
    liblrsgmp.so.4()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

sympol-0.1.7-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libboost_program_options-mt.so.1.50.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgmp.so.10()(64bit)
    libgmpxx.so.4()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libsympol.so.0.1()(64bit)
    rtld(GNU_HASH)
    sympol-libs(x86-64) = 0.1.7-1.fc19

Provides
--------
sympol-devel-0.1.7-1.fc19.x86_64.rpm:
    
    sympol-devel = 0.1.7-1.fc19
    sympol-devel(x86-64) = 0.1.7-1.fc19

sympol-debuginfo-0.1.7-1.fc19.x86_64.rpm:
    
    sympol-debuginfo = 0.1.7-1.fc19
    sympol-debuginfo(x86-64) = 0.1.7-1.fc19

sympol-libs-0.1.7-1.fc19.x86_64.rpm:
    
    libsympol.so.0.1()(64bit)
    sympol-libs = 0.1.7-1.fc19
    sympol-libs(x86-64) = 0.1.7-1.fc19

sympol-0.1.7-1.fc19.x86_64.rpm:
    
    sympol = 0.1.7-1.fc19
    sympol(x86-64) = 0.1.7-1.fc19

MD5-sum check
-------------


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/bin/fedora-review -n sympol -r -v
External plugins:

---%<---%<---

The only issue I see is
[!]: MUST License file installed when any subpackage combination is installed.
as it is possible, and possibly common, to install only sympol-libs, while
the license is only in the main sympol package, with the binary and man page.
Comment 4 Jerry James 2012-08-20 16:05:32 EDT
(In reply to comment #2)
> Does system "cdd" and "lrs" have any of the possible
> patches as listed in the pdf manual?
> 
> from sympol-manual-0.1.pdf
> <<<<
> SymPol comes already bundled with patched versions of [cdd] and [lrs] to
> actually perform poly-
> hedral representation conversion. It also contains a copy of [PermLib] for
> computations with
> permutations.
> >>>>

Yes, those patches were submitted upstream.  Both cddlib and lrslib have since released new versions containing the patches, and the new versions have been built for Fedora F-18 and Rawhide.

Thanks for the review.  Here are new packages with the license file fixed, and a new version of the manual downloaded to fix the reported size mismatch.

Spec URL: http://jjames.fedorapeople.org/sympol/sympol.spec
SRPM URL: http://jjames.fedorapeople.org/sympol/sympol-0.1.7-2.fc19.src.rpm
Comment 5 Paulo Andrade 2012-08-20 21:58:26 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)" For detailed output of licensecheck see file:
     /home/pcpa/rpmbuild/804190-sympol/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: sympol-devel-0.1.7-2.fc19.x86_64.rpm
          sympol-0.1.7-2.fc19.x86_64.rpm
          sympol-libs-0.1.7-2.fc19.x86_64.rpm
          sympol-0.1.7-2.fc19.src.rpm
          sympol-debuginfo-0.1.7-2.fc19.x86_64.rpm
sympol-devel.x86_64: W: no-documentation
sympol.x86_64: W: spelling-error Summary(en_US) polyhedra -> polyhedral, polyhedron
sympol.x86_64: W: spelling-error %description -l en_US polyhedra -> polyhedral, polyhedron
sympol.x86_64: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
sympol-libs.x86_64: W: spelling-error Summary(en_US) polyhedra -> polyhedral, polyhedron
sympol.src: W: spelling-error Summary(en_US) polyhedra -> polyhedral, polyhedron
sympol.src: W: spelling-error %description -l en_US polyhedra -> polyhedral, polyhedron
sympol.src: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
5 packages and 0 specfiles checked; 0 errors, 8 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint sympol-debuginfo sympol
sympol.x86_64: W: spelling-error Summary(en_US) polyhedra -> polyhedral, polyhedron
sympol.x86_64: W: spelling-error %description -l en_US polyhedra -> polyhedral, polyhedron
sympol.x86_64: W: spelling-error %description -l en_US automorphisms -> anthropomorphism
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

Requires
--------
sympol-devel-0.1.7-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    boost-devel(x86-64)
    eigen3-devel
    gmp-devel(x86-64)
    libsympol.so.0.1()(64bit)
    permlib-devel
    sympol-libs(x86-64) = 0.1.7-2.fc19

sympol-0.1.7-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libboost_program_options-mt.so.1.50.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgmp.so.10()(64bit)
    libgmpxx.so.4()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libsympol.so.0.1()(64bit)
    rtld(GNU_HASH)
    sympol-libs(x86-64) = 0.1.7-2.fc19

sympol-libs-0.1.7-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libbliss.so.0()(64bit)
    libc.so.6()(64bit)
    libcddgmp.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgmp.so.10()(64bit)
    libgmpxx.so.4()(64bit)
    liblrsgmp.so.4()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

sympol-debuginfo-0.1.7-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
sympol-devel-0.1.7-2.fc19.x86_64.rpm:
    
    sympol-devel = 0.1.7-2.fc19
    sympol-devel(x86-64) = 0.1.7-2.fc19

sympol-0.1.7-2.fc19.x86_64.rpm:
    
    sympol = 0.1.7-2.fc19
    sympol(x86-64) = 0.1.7-2.fc19

sympol-libs-0.1.7-2.fc19.x86_64.rpm:
    
    libsympol.so.0.1()(64bit)
    sympol-libs = 0.1.7-2.fc19
    sympol-libs(x86-64) = 0.1.7-2.fc19

sympol-debuginfo-0.1.7-2.fc19.x86_64.rpm:
    
    sympol-debuginfo = 0.1.7-2.fc19
    sympol-debuginfo(x86-64) = 0.1.7-2.fc19

MD5-sum check
-------------
http://www.math.uni-rostock.de/~rehn/software/sympol-0.1.7.tar.gz :
  CHECKSUM(SHA256) this package     : 39590aa0db64a8574cb7e51d49eeeaf738b051d131a8097ad574791cc65daf1f
  CHECKSUM(SHA256) upstream package : 39590aa0db64a8574cb7e51d49eeeaf738b051d131a8097ad574791cc65daf1f
http://www.math.uni-rostock.de/~rehn/software/sympol-manual-0.1.pdf :
  CHECKSUM(SHA256) this package     : ee1b3431c059dad8201cb6cc65e0eb5256cb1df3cc1c5b700d41b913cf40718d
  CHECKSUM(SHA256) upstream package : ee1b3431c059dad8201cb6cc65e0eb5256cb1df3cc1c5b700d41b913cf40718d


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/bin/fedora-review -b 804190
External plugins:

---%<---%<---

The spelling rpmlint warnings should be ignored.
About license issues, I am unsure if anything should be
done about the CMakeFiles/*/*.{c,cpp} files, that generate
an a.out file to detect c++ compiler, int/long size, etc.
But they are trivial tests and not linked to the library
or applications.

I consider the package approved, and am cheering for a
polymake package :-)
Comment 6 Jerry James 2012-08-21 16:20:15 EDT
(In reply to comment #5)
> The spelling rpmlint warnings should be ignored.
> About license issues, I am unsure if anything should be
> done about the CMakeFiles/*/*.{c,cpp} files, that generate
> an a.out file to detect c++ compiler, int/long size, etc.
> But they are trivial tests and not linked to the library
> or applications.

Right, so they are not part of the final binary package.  I'll query upstream about adding license information to them, anyway.

> I consider the package approved, and am cheering for a
> polymake package :-)

I hope you won't have to wait long. :-)

New Package SCM Request
=======================
Package Name: sympol
Short Description: Symmetric polyhedra tool
Owners: jjames
Branches: f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-08-22 07:08:07 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-22 11:29:11 EDT
sympol-0.1.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sympol-0.1.7-2.fc17
Comment 9 Fedora Update System 2012-08-22 11:29:23 EDT
sympol-0.1.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sympol-0.1.7-2.fc18
Comment 10 Fedora Update System 2012-08-22 16:56:45 EDT
sympol-0.1.7-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-08-30 20:57:48 EDT
sympol-0.1.7-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-09-17 18:18:04 EDT
sympol-0.1.7-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.